Loading...
Searching...
No Matches
tiny_dnn::deserialization_helper< InputArchive > Class Template Reference

## Public Member Functions

void | register_loader (const std::string &name, std::function< std::shared_ptr< layer >(InputArchive &)> func)
template<typename T >
void | register_type (const std::string &name)
std::shared_ptr< layer > | load (const std::string &layer_name, InputArchive &ar)
const std::string & | type_name (std::type_index index) const

## Static Public Member Functions

static deserialization_helper & | get_instance ()

The documentation for this class was generated from the following file:

- tiny_dnn/util/deserialization_helper.h